Qué API utilizar para crear aplicaciones Android

Logo Android

Android

Encontraréis multitud de tutoriales respecto a cómo empezar a programar en Android. Muchos de ellos explican como configurar los editores para poder desarrollar en Android, como por ejemmpo Eclipse. Pues bien, uno de los pasos es instalar el API con el que crearemos nuestra aplicación.

Según que Android queráis programar, utilizaréis un API u otra. Por ejemplo:

  • Android 1.5 es el API 3
  • Android 2.3 es API 9 o 10
  • Android 4.0.4 es el API 14
  • entre otros…

Hasta aquí bien. Ya sabemos que para programar para un versión de Android debemos utilizar una u otra API. Entonces, cuál utilizamos. Si lo hacemos con lo último, haremos que nuestra aplicación no funcione en la mayoría de móviles o tablets. En cambio, si utilizamos un API muy antiguo, no podremos aprovechar muchas de las funciones que proporciona las nuevas APIs.

La recomendación, es utilizar la que mas móviles haya en el mercado. Para ello, debemos seguir las estadísticas que nos proporcionan en la web de desarrolladores Android:

Estadísticas utilización versiones Android

Así pues, a día de hoy (04/06/2012) el Android mas extendido entre los móviles es Android 2.3.3 Según que tipo de aplicación utilizaremos el API correspondiente a esta versión, la 10, o si no necesitamos todas las funcionalizades, podemos utilizar alguna inferior para llegar a mas móviles (las versiones superiores soportan las inferiores, o lo que es lo mismo, las aplicaciones para 2.2 funcionaran en los móviles de 2.2 y superiores, aunqeu siempre hay que revisarlo)

Un comentario

  • Gonzac

    Es justo lo queria saber, programé una aplicacion con la API 14 y luego de terminarla no podia probarla en ningun movil.

    Exelente blog, Saludos

Deja una respuesta

Tu dirección de correo electrónico no será publicada.

*